Bug 1911129 - Monitoring charts renders nothing when switching from a Deployment to "All workloads"
Summary: Monitoring charts renders nothing when switching from a Deployment to "All wo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Christoph Jerolimov
QA Contact: Mohammed Saud
Harsh Mishra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-27 19:38 UTC by Christoph Jerolimov
Modified: 2021-03-10 17:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, when the user switched between workloads on the *Monitoring Dashboard* tab, for example, from a specific deployment to *All workloads*, the dashboard displayed a white canvas and no chart. This issue has been fixed; the dashboard now displays charts when the user switches between workloads.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:49:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7659 0 None closed Bug 1911129: Fix Monitoring charts renders nothing when switching from a Deployment to "All workloads" 2021-02-01 11:41:10 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:49:26 UTC

Description Christoph Jerolimov 2020-12-27 19:38:15 UTC
Description of problem:
When the user opens the Monitoring Dashboard and switches from a Deployment to "All workloads" the charts (CPU usage, Memory usage, and so on) are rendering just a white box. No chart was displayed.

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-12-18-031435
tested with console 4.7 master (commit 91faa4662c8da8090119dd7207e6c1b282c066f1)

How reproducible:
Always

Steps to Reproduce:
1. Open developer perspective
2. Import at least one Deployment to see some monitoring data (I tested it with container image jerolimov/cpuusage-example, which provides an endpoint /loop/3000 to consume some CPU)
3. Select "Monitoring" from the navigation
4. On the "Monitoring" "Dashboard" tab switch between your Deployment workload and "All workloads"

Actual results:
1. When switching to "All workloads" no chart is rendered. And no empty or loading state was rendered.
2. When you refresh the browser you can see that there are some data available but the switch breaks the rendering.

Expected results:
1. These charts should be always shown when switching between workloads.

Additional info:
None

Comment 2 Mohammed Saud 2021-02-02 10:22:21 UTC
Verified on:
Version: 4.7.0-0.nightly-2021-02-01-180932
Browser: Firefox 85

Charts show up properly when switching between workloads.

Comment 6 errata-xmlrpc 2021-02-24 15:49:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.